Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.calendar
Class DateShiftType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.calendar.DateShiftType

public class DateShiftType
extends java.lang.Object

`DateShiftType` specifies the types of date-shifting methods used for copying dates from a source project to a target project. These are used in `IProjectManager.copyProjectContent` method. When `ITaskList` is copied from one project to another, it is often desirable to shift the dates of these items so that they are relevant to the new project. This class is used to specify which of several available methods will be used to perform this date-shifting.

Two pieces of information are needed for determining how dates are shifted:

- `DateShiftType` - determines which shifting type to use.
- `TimeZone` - interprets some of source dates. For best results, this should be set to the time zone of the user on whose behalf the copying is being done.

See below for detailed description and examples on each of the available `DateShiftType`s.

Field Summary
`static DateShiftType` | `BY_DAY` Shift dates on a working-day basis.
`static DateShiftType` | `BY_MONTH` Shift dates on a working-month basis.
`static DateShiftType` | `BY_WEEK` Shift dates on a working-week basis.
`static DateShiftType` | `NONE` Do not perform date shifting.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final DateShiftType NONE

  Do not perform date shifting. Copied dates will be identical to source dates.

### BY_DAY

    public static final DateShiftType BY_DAY

  Shift dates on a working-day basis. For example:
  1) Given an event in the source project that occurs on the fifth working day of the project, we want to shift this event to a new event in the target project that occurs on the fifth working day of the target project.
  2) Given an event in the source project that occurs 3 working days before the start day of the source project we want to shift it to an event that occurs three working days before the start day of the target project.
  This date-shifting type provides a way of specifying the number of "working days" between a period start day and any other day. A Working Day is defined to be a day other than Saturday and Sunday and an Collaboration installation-defined list of holidays, which specifies a list of holidays using the holiday.xml configuration file (can be found within the Collaboration deployment directory).

### BY_WEEK

    public static final DateShiftType BY_WEEK

  Shift dates on a working-week basis. For example:
  Given an event in the source project that occurs on the wednesday of the second week of the source project, we want to map the event to an event that occurs on the Wednesday of the second week of the target project. The algorithm simply adds a fixed number of days to each date, where that number of days is a multiple of seven. More precisely, it is the number of days from Monday of the start week of the source project to the Monday of the start week of the target project.

### BY_MONTH

    public static final DateShiftType BY_MONTH

  Shift dates on a working-month basis. For example:
  1) Given an event in the source project that occurs on the fifth working day of the second month of the source project, we want to shift this event to a new event in the target project that occurs on the fifth working day of second month of the target project.
  2) Given an event in the source project that occurs on the third-to-last working day of the first month of the project, we want to shift it to an event that occurs on the third-to-last working day of the first month of the target project.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.